Subject: Re: [Bitcoin-development] Decentralized digital asset exchange with honest pricing and market depth

From: Peter Todd <[email-masked]>
Date: Fri, 14 Feb 2014 00:20:36 -0500

On Wed, Feb 12, 2014 at 08:34:48AM -0800, Dan Carter wrote:
> I'm not sure how well this would work.
> 
> Sure it would provide honest historical pricing, but those who wait for 
> publication confirmation may be at a disadvantage -- to get the best 
> deal possible Bob would connect to as many nodes as he could, examine 
> the stream of unconfirmed asks coming in and sign the best ones before 
> someone else does.  The network would gravitate towards an O(n^2) fully 
> connected network, because being fully connected means one is fully 
> aware of all unconfirmed asks at any moment so one can make the best 
> judgement and buy before someone else does.
> 
> The seller needs a guarantee that all bidders can act on the ask 
> transaction simultaneously. Maybe the partial ask transaction could be 
> time-locked with a network propagation delay, there would be multiple 
> bidder responses and the winner is chosen by lottery (and fee priority) 
> by the bitcoin/alt-coin miner who confirms the atomic transaction in 
> their block.  That would eliminate the advantage to being fully 
> connected as it would no longer matter that one can act first, so you 
> have a more sane network.

You're assuming the seller cares about fairness - why should they? They
offered a price for an asset and someone bought it; exactly which buyer
willing to buy at that price was able to complete the trade is
irrelevant to them. What they do care about is being sure that at
whatever given price they offered 100% of the buyers willing to buy at
that price actually see the offer in a reasonable amount of time - at
the best price the seller will get there will be only a single buyer
after all so you need that solid proof that said buyer was actually able
to get the offer.

-- 
'peter'[:-1]@petertodd.org
0000000000000000c34e2307bf2d8e1de9db0351acfe7320a08826a5de3c146a